HAVE A MAGENTO SOAP ERROR? SEE THIS ARTICLE

If you come across this error:

MAGENTO: SOAP-ERROR: Parsing WSDL: Couldn't load from 'yourdomainname.com/api/soap/?wsdl'

This usually indicates that you have forgotten to place http:// in your configuration

Navigate to Settings > Configuration

Click Edit Configure

Under Magento Account URL, you will need to enter something like this:

http://yourdomainname.com

yourdomainname.com being your magento url.

 


Secondly, your host must have SOAP installed on their server, we have had some users with no SOAP installed.

To check if you have soap installed on your server, please goto the following links:

http://www.yourdomainname.com/api/soap/?wsdl=1
http://www.yourdomainname.com/api/soap/?ws
http://www.yourdomainname.com/index.php/api/soap/index/
http://www.yourdomainname.com/api/soap/?w

Replace yourdomainname.com with your address and make sure you use the www unless you dont use the www as your primary domain.

 

Please note: Once you visit the above domains, you can tell what version of SOAP you are using by if http://www.w3.org/ is mentioned in the first couple of lines that indicates you have SOAP 1.2/2 Installed, and means that you can start using Vortex.

If it mentions http://schemas.xmlsoap.org/ , this means you have SOAP 1.1, which most likely means you are on a unsupported version of Magento CE for example, Magento CE v1.6, in which is it not supported. Only versions of Magneto CE 1.7.+ are supported.

 

You can also check if you have SOAP installed by visiting:

http://REPLACE_WITH_YOUR_DOMAIN_NAME.COM/phpinfo.php 

Have more questions? Submit a request

1 Comments

  • 0
    Avatar
    Jason Shico

    4th August 2013

    Some small news, we now support Magento CE Version 1.6.X

Article is closed for comments.
Powered by Zendesk